"use strict";

var _recompose = require("recompose");

var _asyncReductions = require("./async-reductions");

test('setAsyncRequest', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.setAsyncRequest)(asyncState, 'bar')).toEqual({
    foo: 'foo',
    bar: 'REQUEST'
  });
  expect((0, _recompose.compose)((0, _asyncReductions.setAsyncRequest)('bar'))(asyncState)).toEqual({
    foo: 'foo',
    bar: 'REQUEST'
  });
});
test('setAsyncSuccess', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.setAsyncSuccess)(asyncState, 'bar')).toEqual({
    foo: 'foo',
    bar: 'SUCCESS'
  });
  expect((0, _recompose.compose)((0, _asyncReductions.setAsyncSuccess)('bar'))(asyncState)).toEqual({
    foo: 'foo',
    bar: 'SUCCESS'
  });
});
test('setAsyncFailure', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.setAsyncFailure)(asyncState, 'bar')).toEqual({
    foo: 'foo',
    bar: 'FAILURE'
  });
  expect((0, _recompose.compose)((0, _asyncReductions.setAsyncFailure)('bar'))(asyncState)).toEqual({
    foo: 'foo',
    bar: 'FAILURE'
  });
});
test('delAsync', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.delAsync)(asyncState, 'foo')).toEqual({});
  expect((0, _recompose.compose)((0, _asyncReductions.delAsync)('foo'))(asyncState)).toEqual({});
});
test('clearAsync', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.clearAsync)()).toEqual({});
  expect((0, _asyncReductions.clearAsync)(asyncState)).toEqual({});
  expect((0, _recompose.compose)(_asyncReductions.clearAsync)(asyncState)).toEqual({});
});